org.apache.poi.sl.usermodel

## Enum TextParagraph.FontAlign

- java.lang.Object
- - java.lang.Enum<TextParagraph.FontAlign>
  - - org.apache.poi.sl.usermodel.TextParagraph.FontAlign

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<TextParagraph.FontAlign>
  Enclosing interface:
    TextParagraph<S extends Shape<S,P>,P extends TextParagraph<S,P,T>,T extends TextRun>

      public static enum TextParagraph.FontAlign
      extends java.lang.Enum<TextParagraph.FontAlign>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AUTO`
    `BASELINE` Place characters on font baseline.
    `BOTTOM` Characters are anchored to the very bottom of a single line.
    `CENTER` Characters centered within line height.
    `TOP` Characters hang from top of line height.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TextParagraph.FontAlign` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TextParagraph.FontAlign[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### AUTO

          public static final TextParagraph.FontAlign AUTO

    - #### TOP

          public static final TextParagraph.FontAlign TOP

      Characters hang from top of line height. Also known as "Hanging"

    - #### CENTER

          public static final TextParagraph.FontAlign CENTER

      Characters centered within line height.

    - #### BASELINE

          public static final TextParagraph.FontAlign BASELINE

      Place characters on font baseline. Also known as "Roman"

    - #### BOTTOM

          public static final TextParagraph.FontAlign BOTTOM

      Characters are anchored to the very bottom of a single line. This is different than BASELINE because of letters such as "g", "q", and "y". Also known as "UpholdFixed"

  - ### Method Detail

    - #### values

          public static TextParagraph.FontAlign[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TextParagraph.FontAlign c : TextParagraph.FontAlign.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TextParagraph.FontAlign valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.